From 64a151a3795013f58880d2a5f4ce4688ecb88838 Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <andreas.sturmlechner@gmail.com>
Date: Tue, 10 Apr 2018 11:58:00 +0200
Subject: [PATCH] Fix build with Qt 5.11

---
 DefaultParamsDialog.h                  | 9 ++++++---
 ErrorWidget.cpp                        | 3 +++
 filters/deskew/ApplyDialog.h           | 3 +++
 filters/fix_orientation/ApplyDialog.h  | 3 +++
 filters/output/ApplyColorsDialog.h     | 3 +++
 filters/output/ChangeDewarpingDialog.h | 3 +++
 filters/output/ChangeDpiDialog.h       | 3 +++
 filters/page_layout/ApplyDialog.h      | 3 +++
 filters/page_split/SplitModeDialog.h   | 3 +++
 filters/select_content/ApplyDialog.h   | 3 +++
 10 files changed, 33 insertions(+), 3 deletions(-)

diff --git a/DefaultParamsDialog.h b/DefaultParamsDialog.h
index d9ec86e..043446c 100644
--- a/DefaultParamsDialog.h
+++ b/DefaultParamsDialog.h
@@ -2,14 +2,17 @@
 #ifndef SCANTAILOR_DEFAULTPARAMSDIALOG_H
 #define SCANTAILOR_DEFAULTPARAMSDIALOG_H
 
-#include <QtWidgets/QWidget>
-#include <unordered_map>
-#include <set>
 #include "ui_DefaultParamsDialog.h"
 #include "OrthogonalRotation.h"
 #include "DefaultParamsProfileManager.h"
 #include "DefaultParams.h"
 
+#include <QButtonGroup>
+#include <QWidget>
+
+#include <unordered_map>
+#include <set>
+
 class DefaultParamsDialog : public QDialog, private Ui::DefaultParamsDialog {
     Q_OBJECT
 private:
diff --git a/ErrorWidget.cpp b/ErrorWidget.cpp
index fb76cc4..6fb4c68 100644
--- a/ErrorWidget.cpp
+++ b/ErrorWidget.cpp
@@ -18,6 +18,9 @@
 
 #include "ErrorWidget.h"
 
+#include <QIcon>
+#include <QStyle>
+
 ErrorWidget::ErrorWidget(const QString& text, Qt::TextFormat fmt) {
     setupUi(this);
     textLabel->setTextFormat(fmt);
diff --git a/filters/deskew/ApplyDialog.h b/filters/deskew/ApplyDialog.h
index bf1a055..69f18e1 100644
--- a/filters/deskew/ApplyDialog.h
+++ b/filters/deskew/ApplyDialog.h
@@ -22,7 +22,10 @@
 #include "PageId.h"
 #include "PageSequence.h"
 #include "intrusive_ptr.h"
+
+#include <QButtonGroup>
 #include <QDialog>
+
 #include <set>
 
 class QButtonGroup;
diff --git a/filters/fix_orientation/ApplyDialog.h b/filters/fix_orientation/ApplyDialog.h
index dcd25d5..e46d30d 100644
--- a/filters/fix_orientation/ApplyDialog.h
+++ b/filters/fix_orientation/ApplyDialog.h
@@ -24,7 +24,10 @@
 #include "PageRange.h"
 #include "PageSequence.h"
 #include "intrusive_ptr.h"
+
+#include <QButtonGroup>
 #include <QDialog>
+
 #include <vector>
 #include <set>
 
diff --git a/filters/output/ApplyColorsDialog.h b/filters/output/ApplyColorsDialog.h
index 4c525c7..81f4177 100644
--- a/filters/output/ApplyColorsDialog.h
+++ b/filters/output/ApplyColorsDialog.h
@@ -23,7 +23,10 @@
 #include "PageId.h"
 #include "PageSequence.h"
 #include "intrusive_ptr.h"
+
+#include <QButtonGroup>
 #include <QDialog>
+
 #include <set>
 
 class PageSelectionAccessor;
diff --git a/filters/output/ChangeDewarpingDialog.h b/filters/output/ChangeDewarpingDialog.h
index de4f2c3..31ee19d 100644
--- a/filters/output/ChangeDewarpingDialog.h
+++ b/filters/output/ChangeDewarpingDialog.h
@@ -24,8 +24,11 @@
 #include "PageId.h"
 #include "PageSequence.h"
 #include "intrusive_ptr.h"
+
+#include <QButtonGroup>
 #include <QDialog>
 #include <QString>
+
 #include <set>
 
 class PageSelectionAccessor;
diff --git a/filters/output/ChangeDpiDialog.h b/filters/output/ChangeDpiDialog.h
index 7ce6f58..1b86ac7 100644
--- a/filters/output/ChangeDpiDialog.h
+++ b/filters/output/ChangeDpiDialog.h
@@ -23,8 +23,11 @@
 #include "PageId.h"
 #include "PageSequence.h"
 #include "intrusive_ptr.h"
+
+#include <QButtonGroup>
 #include <QDialog>
 #include <QString>
+
 #include <set>
 
 class PageSelectionAccessor;
diff --git a/filters/page_layout/ApplyDialog.h b/filters/page_layout/ApplyDialog.h
index ba25154..07f83c3 100644
--- a/filters/page_layout/ApplyDialog.h
+++ b/filters/page_layout/ApplyDialog.h
@@ -24,7 +24,10 @@
 #include "PageRange.h"
 #include "PageSequence.h"
 #include "intrusive_ptr.h"
+
+#include <QButtonGroup>
 #include <QDialog>
+
 #include <set>
 
 class PageSelectionAccessor;
diff --git a/filters/page_split/SplitModeDialog.h b/filters/page_split/SplitModeDialog.h
index 2cf9e91..351f1e2 100644
--- a/filters/page_split/SplitModeDialog.h
+++ b/filters/page_split/SplitModeDialog.h
@@ -25,7 +25,10 @@
 #include "PageId.h"
 #include "PageSequence.h"
 #include "intrusive_ptr.h"
+
+#include <QButtonGroup>
 #include <QDialog>
+
 #include <set>
 
 class ProjectPages;
diff --git a/filters/select_content/ApplyDialog.h b/filters/select_content/ApplyDialog.h
index f0f7041..a7ff19e 100644
--- a/filters/select_content/ApplyDialog.h
+++ b/filters/select_content/ApplyDialog.h
@@ -24,7 +24,10 @@
 #include "PageRange.h"
 #include "PageSequence.h"
 #include "intrusive_ptr.h"
+
+#include <QButtonGroup>
 #include <QDialog>
+
 #include <vector>
 #include <set>
 
-- 
2.17.0

